Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class GuiSymbols.GuiSymbolImage

    java.lang.Object
      org.ka2ddo.yaac.gui.GuiSymbols.GuiSymbolImage

All Implemented Interfaces:
  SymbolImageData

Enclosing class:
  GuiSymbols

    public static class GuiSymbols.GuiSymbolImage

extends java.lang.Object
implements SymbolImageData

This class collects a symbol icon image with read-only attributes of the symbol that are commonly used but expensive to compute.

Method Summary
`java.awt.Color` | `getColor100()` Get the most common color with a transparency of 100 (instead of the default opaque value of 255).
`java.awt.Color` | `getColor75()` Get the most common color with a transparency of 75 (instead of the default opaque value of 255).
`java.awt.Color` | `getContrastingColor()` Get the color most likely to contrast with this image.
`java.awt.Color` | `getContrastingColor100()` Get the contrasting color with a transparency of 100 (instead of the default opaque value of 255).
`javax.swing.ImageIcon` | `getDblIcon()` Get the double-sized (32x32) sized icon for this symbol.
`javax.swing.ImageIcon` | `getIcon()` Get the standard (16x16) sized icon for this symbol.
`java.awt.Color` | `getMostCommonColor()` Get the most commonly used color for a given symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIcon

    public javax.swing.ImageIcon getIcon()

  Get the standard (16x16) sized icon for this symbol.

  Returns:
    ImageIcon for the APRS symbol code

### getDblIcon

    public javax.swing.ImageIcon getDblIcon()

  Get the double-sized (32x32) sized icon for this symbol.

  Returns:
    ImageIcon for the APRS symbol code

### getMostCommonColor

    public java.awt.Color getMostCommonColor()

  Get the most commonly used color for a given symbol. If an overlaid symbol is specified (that has not been defined as an APRS 1.2 extension), automatically fall back to the corresponding alternate table symbol.

  Returns:
    most frequently appearing color value in this symbol (ignoring transparent background)

### getContrastingColor

    public java.awt.Color getContrastingColor()

  Get the color most likely to contrast with this image.

  Returns:
    Color with good contrast to the image

### getColor100

    public java.awt.Color getColor100()

  Get the most common color with a transparency of 100 (instead of the default opaque value of 255).

  Returns:
    partially transparent Color

### getContrastingColor100

    public java.awt.Color getContrastingColor100()

  Get the contrasting color with a transparency of 100 (instead of the default opaque value of 255).

  Returns:
    partially transparent Color

### getColor75

    public java.awt.Color getColor75()

  Get the most common color with a transparency of 75 (instead of the default opaque value of 255).

  Returns:
    partially transparent Color

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD